It must be really frustrating for the Zone Alarm developers to have to adapt to a new Firefox version every month or two.

My copy of Firefox 8 is suggesting I upgrade to ver. 9. But of course if I do the ZA security engine add-on will not work. Any idea when that will be available?